Package fr.gouv.vitam.common.model.validations

# Class ValidationError

java.lang.Object
fr.gouv.vitam.common.model.validations.ValidationError

public class ValidationError extends Object
Validation error model

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `EV_DET_DATA`
  `static final String`
  `EV_ID`
  `static final String`
  `EV_TYPE_PROC`
  `static final String`
  `OB_ID`
  `static final String`
  `OUT_DETAIL`
  `static final String`
  `OUT_MESSG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidationError()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEvDetData()`
  `String`
  `getEvId()`
  `String`
  `getEvTypeProc()`
  `String`
  `getObId()`
  `String`
  `getOutDetail()`
  `String`
  `getOutMessg()`
  `ValidationError`
  `setEvDetData(String evDetData)`
  `ValidationError`
  `setEvId(String evId)`
  `ValidationError`
  `setEvTypeProc(String evTypeProc)`
  `ValidationError`
  `setObId(String obId)`
  `ValidationError`
  `setOutDetail(String outDetail)`
  `ValidationError`
  `setOutMessg(String outMessg)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### EV_ID

    public static final String EV_ID
    See Also:
      - Constant Field Values

  - ### OB_ID

    public static final String OB_ID
    See Also:
      - Constant Field Values

  - ### EV_TYPE_PROC

    public static final String EV_TYPE_PROC
    See Also:
      - Constant Field Values

  - ### OUT_DETAIL

    public static final String OUT_DETAIL
    See Also:
      - Constant Field Values

  - ### OUT_MESSG

    public static final String OUT_MESSG
    See Also:
      - Constant Field Values

  - ### EV_DET_DATA

    public static final String EV_DET_DATA
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ValidationError

    public ValidationError()

- ## Method Details

  - ### getEvId

    public String getEvId()

  - ### getObId

    public String getObId()

  - ### getEvTypeProc

    public String getEvTypeProc()

  - ### getOutDetail

    public String getOutDetail()

  - ### getOutMessg

    public String getOutMessg()

  - ### getEvDetData

    public String getEvDetData()

  - ### setEvId

    public ValidationError setEvId(String evId)

  - ### setObId

    public ValidationError setObId(String obId)

  - ### setEvTypeProc

    public ValidationError setEvTypeProc(String evTypeProc)

  - ### setOutDetail

    public ValidationError setOutDetail(String outDetail)

  - ### setOutMessg

    public ValidationError setOutMessg(String outMessg)

  - ### setEvDetData

    public ValidationError setEvDetData(String evDetData)